package com.gic.auth.constant;

public enum AccountPositionEnum {
    area_manager(1, "区域经理"),
    OFFLINE_OPERATION(2, "线下运营"),
    E_OPERATION(3, "电商运营"),
    IT_COMMISSIONER(4, "IT专员"),
    DATA_COMMISSIONER(5, "数据专员");

    private Integer code;
    private String message;

    AccountPositionEnum(Integer code, String message){
        this.code = code;
        this.message = message;
    }

    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return true;
        }
        for (AccountPositionEnum accountPositionEnum : values()) {
            if (accountPositionEnum.getCode().intValue() == code) {
                return true;
            }
        }
        return false;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
